Skip to main content
PUT
/
v1
/
event
/
{eventId}
/
sessions
/
{sessionId}
/
transcriptions
/
{transcriptionId}
Update a transcription artifact
curl --request PUT \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions/{transcriptionId} \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '{}'
import requests

url = "https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions/{transcriptionId}"

payload = {}
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://public-api.sessionboard.com/v1/event/{eventId}/sessions/{sessionId}/transcriptions/{transcriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transcription": "<string>",
    "speaker": "<string>",
    "is_partial": true,
    "provider": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

Event ID

sessionId
string<uuid>
required

Session UUID

transcriptionId
string<uuid>
required

Body

application/json

The body is of type object.

Response

OK

data
object

Polymorphic transcription artifact. Fields vary by type.